Props for the ConfirmForm component.

Required properties: onConfirmPress.

Allows you to customize ICodeProps and IEmailProps.

### Hierarchy

- IEmailProps
- ICodeProps
  - IConfirmFormProps

## Index

### Properties

- code
- codeInputProps
- confirmButtonProps
- emailInputProps
- initialEmail
- onCodeChanged
- onConfirmPress
- onEmailChanged
- testID

## Properties

### code

code: string | undefined

Inherited from ICodeProps.code

- Defined in types.ts:109

Current user input or undefined. Required.

### Optional codeInputProps

codeInputProps: ICrossEditorProps | undefined

Inherited from ICodeProps.codeInputProps

- Defined in types.ts:121

Optional props for the code input. Typically used to change the `label` prop.

Read more: https://crossplatformsweden.github.io/react-native-components/interfaces/_components_input_crosseditor_.icrosseditorprops.html

example

  <ConfirmForm codeInputProps={{label: 'WouldntYouLikeToKnow'}}> <Text>Custom layouts here</Text> </ConfirmForm>

### Optional confirmButtonProps

confirmButtonProps: ICrossButtonProps | undefined

- Defined in confirm/components/ConfirmForm.tsx:36

Optional props for the register button. Typically used to change the `title` prop.

Read more: https://crossplatformsweden.github.io/react-native-components/interfaces/_components_buttons_crossbutton_.icrossbuttonprops.html

example

  <ConfirmForm confirmButtonProps={{title: 'Enlist'}}> <Text>Custom layouts here</Text> </ConfirmForm>

### Optional emailInputProps

emailInputProps: ICrossEditorProps | undefined

Inherited from IEmailProps.emailInputProps

- Defined in types.ts:79

Optional props for the e-mail input. Typically used to change the `label` prop. See {@link ICrossEditorProps}

### Optional initialEmail

initialEmail: string | undefined

Inherited from IEmailProps.initialEmail

- Defined in types.ts:74

Optional initial value for the e-mail input

### Optional onCodeChanged

onCodeChanged: undefined | function

Inherited from ICodeProps.onCodeChanged

- Defined in types.ts:105

Optional callback for code changed. Contains code user entered

### onConfirmPress

onConfirmPress: function

- Defined in confirm/components/ConfirmForm.tsx:23

Occurs when the user press "confirm" button. Required.

#### Type declaration

- - (): void

  - #### Returns void

### onEmailChanged

onEmailChanged: function

Inherited from IEmailProps.onEmailChanged

- Defined in types.ts:70

Occurs when the user inputs e-mail

#### Type declaration

- - (email: string | undefined): void

  - #### Parameters

    - ##### email: string | undefined

    #### Returns void

### Optional testID

testID: undefined | string

- Defined in confirm/components/ConfirmForm.tsx:24